﻿<%@ Page Language="C#" AutoEventWireup="true" CodeBehind="WebForm1.aspx.cs" Inherits="C1GridView_Wijmo.WebForm1" %>

<%@ Register Assembly="C1.Web.Wijmo.Controls.4" Namespace="C1.Web.Wijmo.Controls.C1ComboBox"
    TagPrefix="wijmo" %>
<%@ Register Assembly="C1.Web.Wijmo.Controls.4" Namespace="C1.Web.Wijmo.Controls.C1GridView"
    TagPrefix="wijmo" %>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
    <style type="text/css">
        .wijmo-wijgrid-innercell
        {
            text-align: center;
        }
    </style>
    <title></title>
</head>
<body>
    <form id="form1" runat="server">
    <div id="GridViewDiv">
        <asp:AccessDataSource ID="AccessDataSource1" runat="server" DataFile="~/App_Data/NWIND.mdb"
            SelectCommand="SELECT DISTINCT [ShipCountry] FROM [Orders]"></asp:AccessDataSource>
        <wijmo:C1GridView ID="C1GridView1" Height="319px" runat="server" ScrollMode="Vertical"
            AllowSorting="True" AutogenerateColumns="False" DataKeyNames="OrderID" LoadingText="Loading…"
            OnRowCancelingEdit="C1GridView1_RowCancelingEdit" OnRowEditing="C1GridView1_RowEditing"
            OnRowUpdating="C1GridView1_RowUpdating" OnSorting="C1GridView1_Sorting" Width="426px">
            <Columns>
                <wijmo:C1BoundField DataField="OrderID" HeaderText="OrderID" ReadOnly="true" SortExpression="OrderID">
                </wijmo:C1BoundField>
                <wijmo:C1TemplateField HeaderText="Freight" SortExpression="Freight">
                    <ItemTemplate>
                        <asp:Label ID="lblFreight" runat="server" Text='<%# Eval("Freight") %>'></asp:Label>
                    </ItemTemplate>
                </wijmo:C1TemplateField>
                <wijmo:C1TemplateField HeaderText="ShipCountry" SortExpression="ShipCountry">
                    <UpdateBindings>
                        <wijmo:C1GridViewUpdateBinding ControlProperty="C1ComboBox1.SelectedItem.Text" UpdateField="ShipCountry" />
                    </UpdateBindings>
                    <ItemTemplate>
                        <%# HtmlEncode(Eval("ShipCountry")) %>
                    </ItemTemplate>
                </wijmo:C1TemplateField>
            </Columns>
        </wijmo:C1GridView>
    </div>
    </form>
</body>
</html>
